Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.registry
Class EPPRegistryServices.EPPRegistryObjURI

    java.lang.Object
      com.verisign.epp.codec.registry.EPPRegistryServices.EPPRegistryURI
          com.verisign.epp.codec.registry.EPPRegistryServices.EPPRegistryObjURI

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

Enclosing class:
  EPPRegistryServices

    public static class EPPRegistryServices.EPPRegistryObjURI

extends EPPRegistryServices.EPPRegistryURI

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.registry.EPPRegistryServices.EPPRegistryURI
`ATTR_REQUIRED, ELM_EXT_URI, ELM_OBJ_URI`

Constructor Summary
`EPPRegistryServices.EPPRegistryObjURI()`
`EPPRegistryServices.EPPRegistryObjURI(java.lang.String uri, java.lang.Boolean required)`

Method Summary
`boolean` | `equals(java.lang.Object aObject)`
`java.lang.String` | `getRootName()`

Methods inherited from class com.verisign.epp.codec.registry.EPPRegistryServices.EPPRegistryURI
`clone, decode, encode, getRequired, getUri, setRequired, setUri, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPRegistryServices.EPPRegistryObjURI

    public EPPRegistryServices.EPPRegistryObjURI()

### EPPRegistryServices.EPPRegistryObjURI

    public EPPRegistryServices.EPPRegistryObjURI(java.lang.String uri,
                                                 java.lang.Boolean required)

Method Detail

### getRootName

    public java.lang.String getRootName()

  Specified by:
    `getRootName` in class `EPPRegistryServices.EPPRegistryURI`

### equals

    public boolean equals(java.lang.Object aObject)

  Overrides:
    `equals` in class `EPPRegistryServices.EPPRegistryURI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.